org.openmuc.openiec61850

## Class HexConverter

- java.lang.Object
- - org.openmuc.openiec61850.HexConverter

    public class HexConverter
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `appendHexString(int b, java.lang.StringBuilder builder)`
`static void` `appendHexString(java.lang.StringBuilder builder, byte[] byteArray, int offset, int length)`
`static void` `appendShortHexString(int b, java.lang.StringBuilder builder)`
`static void` `appendShortHexString(java.lang.StringBuilder builder, byte[] byteArray, int offset, int length)`
`static byte[]` `fromShortHexString(java.lang.String shortHexString)`
`static java.lang.String` `toHexString(byte b)`
`static java.lang.String` `toHexString(byte[] byteArray)`
`static java.lang.String` `toHexString(byte[] byteArray, int offset, int length)`
`static java.lang.String` `toShortHexString(byte b)`
`static java.lang.String` `toShortHexString(byte[] byteArray)`
`static java.lang.String` `toShortHexString(byte[] byteArray, int offset, int length)`
`static java.lang.String` `toShortHexString(int b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### appendShortHexString

    public static void appendShortHexString(int b,
                                            java.lang.StringBuilder builder)

#### appendShortHexString

    public static void appendShortHexString(java.lang.StringBuilder builder,
                                            byte[] byteArray,
                                            int offset,
                                            int length)

#### appendHexString

    public static void appendHexString(int b,
                                       java.lang.StringBuilder builder)

#### appendHexString

    public static void appendHexString(java.lang.StringBuilder builder,
                                       byte[] byteArray,
                                       int offset,
                                       int length)

#### toHexString

    public static java.lang.String toHexString(byte b)

#### toHexString

    public static java.lang.String toHexString(byte[] byteArray)

#### toHexString

    public static java.lang.String toHexString(byte[] byteArray,
                                               int offset,
                                               int length)

#### toShortHexString

    public static java.lang.String toShortHexString(int b)

#### toShortHexString

    public static java.lang.String toShortHexString(byte b)

#### toShortHexString

    public static java.lang.String toShortHexString(byte[] byteArray)

#### toShortHexString

    public static java.lang.String toShortHexString(byte[] byteArray,
                                                    int offset,
                                                    int length)

#### fromShortHexString

    public static byte[] fromShortHexString(java.lang.String shortHexString)
                                     throws java.lang.NumberFormatException

Throws:
  `java.lang.NumberFormatException`